#!/bin/bash
WHOAMI=root
VERSION=0.9a

INSTALL_PATH=/usr
DEFAULT_INCDIR="$INSTALL_PATH"/include
DEFAULT_MANDIR="$INSTALL_PATH"/man
DEFAULT_LIBDIR="$INSTALL_PATH"/lib

if [ `whoami` != "$WHOAMI" ]
then
   echo
   echo "  Sorry, you must have root privileges to execute this script"
   echo
   exit 1
fi
################################################################
#  INSTRUCTIONS:                                               #
#      To set up the destination directories into which the    #
#      the necessary files will be copied, (1) set the         #
#      directory symbol, $INSTALL_PATH, to the directory under #
#      which the kit's files will be installed. Normally, this #
#      is the "/usr" directory.  Next, remove the "exit 1"     #
#      shell command, below (and the echo commands).  You're   #
#      ready to run the Install.sh script.                     #
################################################################
echo
echo
echo    "  This script removes the various PCthreads files from the "
echo    "  specified directories.  If not specified, the script will"
echo    "  look for PCthreads files in the following directories:"
echo    ""
echo    "       "$INSTALL_PATH"/include and "$INSTALL_PATH"/include/dce"
echo    "       "$INSTALL_PATH"/lib"
echo    "       "$INSTALL_PATH"/man3"
echo    ""
echo    ""
echo -n "  Please specify the target directory ("$INSTALL_PATH"): "
read install_dir

if [ "$install_dir" = "" ]
then
    install_dir="$INSTALL_PATH"
else
    if [ "$install_dir" != "$INSTALL_PATH" ]
    then
        INSTALL_PATH="$install_dir"/pthreads-$VERSION
    fi
fi

DEST_INCDIR=$INSTALL_PATH/include
DEST_LIBDIR=$INSTALL_PATH/lib
DEST_MANDIR=$INSTALL_PATH/man

echo
echo   "  You've selected "$INSTALL_PATH". The PCthread facilities will be"
echo   "  removed from the following directories:"
echo
echo   "        "$DEST_INCDIR" and "$DEST_INCDIR"/dce"
echo   "        "$DEST_LIBDIR""
echo   "        "$DEST_MANDIR"/man3"
echo
echo -n " Continue (N): "
read confirm

if [ "$confirm" != "Y" ]
then
    if [ "$confirm" != "y" ]
    then
        echo
        echo "  *** Deinstallation aborted! ***"
        echo
        exit 1
    fi
fi

set -x

OLDINCS="$DEST_INCDIR/pthre* $DEST_INCDIR/dce/pthread.h $DEST_INCDIR/dce/exc_handling.h $DEST_INCDIR/dce/pthread_exc.h $DEST_INCDIR/typedefs.h"
OLDLIBS="$DEST_LIBDIR/libpthrea*"
OLDPAGES="$DEST_MANDIR/man3/pthread_* $DEST_MANDIR/man3/sigwait*"

rm -f $OLDINCS
rm -f $OLDLIBS
rm -f $OLDPAGES

echo "PCthreads successfully removed!"
